JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TextPropertyComponent::Listener Class Referenceabstract
juce_gui_basics » properties

Used to receive callbacks for text changes. More...

`#include <juce_TextPropertyComponent.h>`

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | textPropertyComponentChanged (TextPropertyComponent *)=0
| Called when text has finished being entered (i.e.

## Detailed Description

Used to receive callbacks for text changes.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual TextPropertyComponent::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ textPropertyComponentChanged()

virtual void TextPropertyComponent::Listener::textPropertyComponentChanged | ( | TextPropertyComponent * |  | ) |
| pure virtual

Called when text has finished being entered (i.e.

not per keypress) has changed.

The documentation for this class was generated from the following file:

- juce_TextPropertyComponent.h